package websocket_fasthttp

const (
	// DefaultConcurrency is the maximum number of concurrent connections
	// the Server may serve by default (i.e. if Server.Concurrency isn't set).
	DefaultConcurrency = 256 * 1024

	// DefaultMaxStopWaitTime is default value of server stop Timeout
	DefaultMaxStopWaitTime = 0
	// DefaultHandshakeTimeout is default value of websocket handshake Timeout
	DefaultHandshakeTimeout = 0
	// DefaultReadBufferSize is default value of Read Buffer Size
	DefaultReadBufferSize = 4096
	// DefaultWriteBufferSize is default value of Write Buffer Size
	DefaultWriteBufferSize = 4096
	// DefaultReadTimeout is default value of read timeout
	DefaultReadTimeout = 0
	// DefaultWriteTimeout is default value of write timeout
	DefaultWriteTimeout = 0
	// DefaultEnableCompression is default value of support compression
	DefaultEnableCompression = false
	// DefaultMaxMessageSize is default size for a message read from the peer
	DefaultMaxMessageSize = 4096
	// DefaultPongTimeout is default value of websocket pong Timeout
	DefaultPongTimeout = 0
	// DefaultPingTimeout is default value of websocket ping Timeout
	DefaultPingTimeout = 0
	// DefaultPingPeriod is default value of send ping period
	DefaultPingPeriod = 0
)
